import java.util.logging.Logger;

import com.sun.grizzly.CallbackHandler;
import com.sun.grizzly.Context;
import com.sun.grizzly.TCPConnectorHandler;
import com.sun.grizzly.IOEvent;

public class ClientProxyHandler extends Peers<TCPConnectorHandler> implements CallbackHandler<Context> {

    private static final Logger logger = Logger.getLogger(ClientProxyHandler.class.getName());

    public void onConnect(IOEvent<Context> ioEvent) {
        // can never happen - we are the server and only accept connections
    }

    public void onRead(IOEvent<Context> ioEvent) {
        logger.info("Can read from client");
    }

    public void onWrite(IOEvent<Context> ioEvent) {
        logger.info("Can write to server");
    }
}
